function New-SPQuickLaunchNode([string]$url,[string]$nodeURL,[string]$nodeTitle,[switch]$isExternal,[switch]$addAsFirst) {
  $spWeb = Get-SPWeb -Identity $url
  if ($isExternal) {
    $node = New-Object Microsoft.SharePoint.Navigation.SPNavigationNode $nodeTitle, $nodeUrl, $true;
  } else {
    $node = New-Object Microsoft.SharePoint.Navigation.SPNavigationNode $nodeTitle, $nodeUrl;
  }

  if ($addAsFirst) {
    $spWeb.Navigation.QuickLaunch.AddAsFirst($node);
  } else {
    $spWeb.Navigation.QuickLaunch.AddAsLast($node);
  }
  $spWeb.Dispose();
}