function New-SPTopNavigation ([string]$url, [string]$nodeURL, [string]$nodeTitle, [switch]$isExternal, [switch]$addAsFirst) {
  $spWeb = Get-SPWeb -Identity $url;
  if ($isExternal) {
    $node = New-Object Microsoft.SharePoint.Navigation.SPNavigationNode $nodeTitle, $NodeUrl, $true;
  } else {
    $node = New-Object Microsoft.SharePoint.Navigation.SPNavigationNode $nodeTitle, $NodeUrl;
  }

  if ($addAsFirst) {
    $spWeb.Navigation.TopNavigationBar.AddAsFirst($node);
  } else {
    $spWeb.Navigation.TopNavigationBar.AddAsLast($node);
  }
  $spWeb.Dispose();
}