function New-SPChoiceField([string]$url,[string]$field,[array]$choices,[switch]$required) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  if($spList) {
    $spFieldType = [Microsoft.SharePoint.SPFieldType]::Choice
    $colChoices = New-Object System.Collections.Specialized.StringCollection
    foreach ($choice in $choices) {
      $colChoices.Add($choice) | Out-Null
    }
    $spList.Fields.Add($field,$spFieldType,$required,$false,$colChoices)
  }
}