function New-SPTextField([string]$url, [string]$field,[switch]$required) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  if($spList) {
    $spFieldType = [Microsoft.SharePoint.SPFieldType]::Text
    $spList.Fields.Add($field, $spFieldType, $required)
  }
}