function Get-Excel([string]$File) {
  $excelConnection= New-Object -ComObject "ADODB.Connection"
  $excelConnection.Open("Provider=Microsoft.ACE.OLEDB.12.0;Data Source=$File;Extended Properties=Excel 12.0;")

  $strQuery="Select * from [Sheet1$]"
  $objRecordSet = $excelConnection.Execute($strQuery)
  $fields = $objRecordSet.Fields | Select-Object -Property Name
  $objRecordSet.MoveFirst()
  do {
    $obj = New-Object -TypeName PSObject
    $fields | ForEach-Object {
      $obj |Add-Member -MemberType NoteProperty -Name $_.Name -Value $objRecordSet.Fields.Item($_.Name).Value
    }
    $obj
    $objRecordSet.MoveNext()
  } until ($objRecordSet.EOF)

  $objRecordSet.Close()
  $excelConnection.Close()
}