function Set-SPTheme([string]$url, [string]$theme) {
  $spWeb = Get-SPWeb $url
  $thm = [Microsoft.SharePoint.Utilities.ThmxTheme]::GetManagedThemes($spWeb.Site) | Where-Object { $_.Name -eq $theme }
  $thm.ApplyTo($spWeb, $true)
  $spWeb.Dispose()
}