function New-SPList ([string]$url, [string]$name, [string]$description, [string]$template, [switch]$showTemplate) {
  $spWeb = Get-SPWeb -Identity $url
  if ($showTemplate) {
    $spWeb.ListTemplates | Format-Table -AutoSize -Property @{Label="Template Name";Expression={$_.Name}}, @{Label="Type";Expression={[int]$_.Type};Alignment="Left"};
  } else {
    $spListCollection = $spWeb.Lists
    $spListCollection.Add($name, $description, $template)
  }
  $spWeb.Dispose()
}