function New-SPLookupField ([string]$url,[string]$lookupListURL,[string]$field,[switch]$required) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  $lookupListId = (Get-SPList -url $lookupListURL).Id
  if($spList -and $lookupListId) {
    $spList.Fields.AddLookup($field, $lookupListId, $required);
  }
}