function New-SPView ([string]$url,[string]$view,[array]$fields,[string]$query,[int]$itemsDisplayed,[switch]$paged,[switch]$default) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  if($spList) {
    $viewFields = New-Object System.Collections.Specialized.StringCollection
    foreach($field in $fields) {
      $viewFields.Add($field)
    }
    $spList.Views.Add($view, $viewFields, $query, $itemsDisplayed, $paged, $default)
  }
}