function Set-SPContentApproval ([string]$url, [switch]$enable, [switch]$disable) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  if ($enable) {
    # Enable content approval
    $spList.EnableModeration = $true;
  }
  if ($disable) {
    # Disable content approval
    $spList.EnableModeration = $false;
  }
  $spList.Update();
}