function Set-SPRequireCheckOut([string]$url, [switch]$enable, [switch]$disable) {
  # Use the Get-SPList function to retrieve a list
  $spList = Get-SPList -url $url
  if($spList -is [Microsoft.SharePoint.SPDocumentLibrary]) {
    if ($enable) {
      # Enable check out requirement
      $spList.ForceCheckout = $true;
    }
    if ($disable) {
      # Disable check out requirement
      $spList.ForceCheckout = $false;
    }
    # Update document library
    $spList.Update();
  }
}